Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceDeviceService

All Superinterfaces:
  `DeviceService<VoiceDevice,VoiceDeviceType>`

public interface VoiceDeviceService extends DeviceService<VoiceDevice,VoiceDeviceType>
Сервис для работы с устройствами модуля Voice. Позволяет добавлять, изменять удалять устройства, получать список аккаунтов и сервисов, привязанных к конкретному устройству.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `deviceManage(int id, String operation, int servId, int connectionId, long timeout)`
  `void`
  `finishSessions(int deviceId)`
  `String`
  `getMediationIface()`
  Получение полного имени интерфейса, который должен быть реализован силами динамического кода для изменения логики обработки логов.
  `List<VoiceDevice>`
  `voiceDeviceRadiusList()`
  `List<VoiceDevice>`
  `voiceDeviceSourceList()`
  Получение списка устройств - источников

  ### Methods inherited from interface ru.bitel.oss.systems.inventory.resource.common.service.DeviceService

  `configParameterList, deviceConfigPreview, deviceDelete, deviceGet, deviceGroupDelete, deviceGroupGet, deviceGroupRoot, deviceGroupUpdate, deviceList, deviceManagerMethodList, deviceMove, deviceRoot, deviceTreeReorder, deviceTypeDelete, deviceTypeGet, deviceTypeList, deviceTypeTitleList, deviceTypeUpdate, deviceUpdate`

- ## Method Details

  - ### voiceDeviceSourceList

    List<VoiceDevice> voiceDeviceSourceList() throws ru.bitel.bgbilling.common.BGException
    Получение списка устройств - источников
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceDeviceRadiusList

    List<VoiceDevice> voiceDeviceRadiusList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### finishSessions

    void finishSessions(int deviceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceManage

    String deviceManage(int id, String operation, int servId, int connectionId, long timeout) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMediationIface

    String getMediationIface() throws ru.bitel.bgbilling.common.BGException
    Получение полного имени интерфейса, который должен быть реализован силами динамического кода для изменения логики обработки логов.
    Returns:
      полное имя интерфейса
    Throws:
      `ru.bitel.bgbilling.common.BGException`